Reorder rules
curl --request PUT \
--url https://api.getnexor.ai/api/public/processors/{processorId}/rules/reorder \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"rule_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.getnexor.ai/api/public/processors/{processorId}/rules/reorder"
payload = { "rule_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.getnexor.ai/api/public/processors/{processorId}/rules/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"rules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"position": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Reorder Rules
Bulk-update the position of all rules in a processor. You must include all active rule IDs.
PUT
/
processors
/
{processorId}
/
rules
/
reorder
Reorder rules
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Processor ID
Body
application/json
Ordered list of rule UUIDs
Last modified on August 7, 2026
⌘I